Package org.apache.groovy.macrolib

# Class MacroLibGroovyMethods

java.lang.Object
org.apache.groovy.macrolib.MacroLibGroovyMethods

public class MacroLibGroovyMethods extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MacroLibGroovyMethods()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> NamedValue<T>`
  `NV(Object self, T arg)`
  `static Expression`
  `NV(MacroContext ctx, Expression exp)`
  `static <T> List<NamedValue<T>>`
  `NVL(Object self, T... args)`
  `static Expression`
  `NVL(MacroContext ctx, Expression... exps)`
  `static GString`
  `SV(Object self, Object... args)`
  `static Expression`
  `SV(MacroContext ctx, Expression... exps)`
  `static GString`
  `SVD(Object self, Object... args)`
  `static Expression`
  `SVD(MacroContext ctx, Expression... exps)`
  `static GString`
  `SVI(Object self, Object... args)`
  `static Expression`
  `SVI(MacroContext ctx, Expression... exps)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MacroLibGroovyMethods

    public MacroLibGroovyMethods()

- ## Method Details

  - ### SV

    public static Expression SV(MacroContext ctx, Expression... exps)

  - ### SV

    public static GString SV(Object self, Object... args)

  - ### SVI

    public static Expression SVI(MacroContext ctx, Expression... exps)

  - ### SVI

    public static GString SVI(Object self, Object... args)

  - ### SVD

    public static Expression SVD(MacroContext ctx, Expression... exps)

  - ### SVD

    public static GString SVD(Object self, Object... args)

  - ### NV

    public static Expression NV(MacroContext ctx, Expression exp)

  - ### NV

    public static <T> NamedValue<T> NV(Object self, T arg)

  - ### NVL

    public static Expression NVL(MacroContext ctx, Expression... exps)

  - ### NVL

    public static <T> List<NamedValue<T>> NVL(Object self, T... args)